@echo off
@REM ##########################################################################
@REM # Licensed Materials - Property of IBM
@REM # 5724-D33
@REM # IBM Tivoli License Manager
@REM #
@REM # (C) Copyright IBM Corp. 2004.  All Rights Reserved.
@REM #
@REM # US Government Users Restricted Rights - Use, duplication or
@REM # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM ##########################################################################

@REM ##########################################################################
@REM File       : tlm.bat
@REM Purpose    : Deploy the TLM Agent through Domain Logon.
@REM ########################################################################## 

set DOMAINSERVER=<DOMAIN_SERVER>
set NETLOGON_SHARE=<NETLOGON_SHARE>
set LOG_SHARE=<LOG_SHARE>

rem ***************************************************************************
rem * TLM_BASE_INSTALLER_DIR is the base path for the agent installation 
rem * directory and the profiles directory. 
rem ***************************************************************************
set TLM_BASE_INSTALLER_DIR=\\%DOMAINSERVER%\%NETLOGON_SHARE%

if not "%LOG_SHARE%"=="" set TLM_LOGS_DIR=\\%DOMAINSERVER%\%LOG_SHARE%
if "%LOG_SHARE%"=="" set TLM_LOGS_DIR=nul

if "%OS%"=="" command /E:4096 /C %TLM_BASE_INSTALLER_DIR%\tlminstall.bat %TLM_BASE_INSTALLER_DIR% %TLM_LOGS_DIR%
if "%OS%"=="Windows_NT" cmd /C %TLM_BASE_INSTALLER_DIR%\tlminstall.bat %TLM_BASE_INSTALLER_DIR% %TLM_LOGS_DIR%
